siege-engine
============

.. dfhack-tool::
    :summary: Extend the functionality and usability of siege engines.
    :tags: unavailable fort gameplay buildings
    :no-command:

Siege engines in DF haven't been updated since the game was 2D, and can only aim
in four directions. To make them useful above-ground, this plugin allows you to:

* link siege engines to stockpiles
* restrict operator skill levels (like workshops)
* load any object into a catapult, not just stones
* aim at a rectangular area in any direction, and across Z-levels

Usage
-----

::

    enable siege-engine

You can use the new features by selecting a built siege engine and running
`gui/siege-engine`.
